Bug 88618 - russian man pages in the 8bit locale does not readable
russian man pages in the 8bit locale does not readable
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: groff (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 10:26 EDT by Andy Shevchenko
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 11:35:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2003-04-11 10:26:15 EDT
Description of problem:
Russian man pages in the 8bit locale does not readable.

man-1.5k-6
groff-1.18.1-20

How reproducible:
Runs konsole in ru_RU.KOI8-R locale
(in KDE LANG=ru_RU.KOI8-R konsole &
and export LANG=ru_RU.KOI8-R in new konsole)
Then type:
man zic
and I can not look any russian characters!

I investigate the groff and found some stupid(?) patch for troff prog
called groff-1.18.1-8bit.patch.

Without that patch and with shanges in nroff like this (lines begins from symbol
'>' are changed):
...
CONV=
case "${LC_ALL-${LC_CTYPE-${LANG}}}" in
>  ru_* )
>    T=-Tnippon
>    echo ${LC_ALL-${LC_CTYPE-${LANG}}} | grep -q -v UTF-8$ && CONV="`locale
charmap 2>/dev/null`"
        ;;
  ja_JP.ujis | ja_JP.eucJP | ko_KR.eucKR | *.UTF-8)
    ;;
  *)
    CONV="`locale charmap 2>/dev/null`" ;;
esac
...

After this changes the man outputs correctly, except the length of charasters
It will be 1, but in this case it equal 2. And in 8bit locale symbol 'P'
printing as 'P ' for example.
Comment 1 Thomas Woerner 2004-04-21 11:35:29 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.